"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateToggleButton = void 0;
const prefix_js_1 = require("../prefix.js");
function generateToggleButton(text, actionPrefix, options) {
    const formatFunction = options.formatState ?? ((_, text, state) => (0, prefix_js_1.prefixEmoji)(text, state));
    return async (context, path) => {
        if (await options.hide?.(context, path)) {
            return undefined;
        }
        const textResult = typeof text === 'function' ? await text(context, path) : text;
        const state = await options.isSet(context, path);
        return {
            text: await formatFunction(context, textResult, state, path),
            relativePath: actionPrefix + ':' + (state ? 'false' : 'true'),
        };
    };
}
exports.generateToggleButton = generateToggleButton;
//# sourceMappingURL=toggle.js.map