"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.combineHideAndChoices = void 0;
const understand_choices_js_1 = require("./understand-choices.js");
function combineHideAndChoices(actionPrefix, choices, hide) {
    return async (context, path) => {
        if (await hide?.(context, path)) {
            return true;
        }
        const match = new RegExp('/' + actionPrefix + ':([^/]+)/?$').exec(path);
        const toBeFound = match?.[1];
        if (!toBeFound) {
            throw new TypeError('could not read choice from path');
        }
        const choicesConstant = typeof choices === 'function' ? await choices(context) : choices;
        const choiceKeys = (0, understand_choices_js_1.getChoiceKeysFromChoices)(choicesConstant);
        const keyExists = choiceKeys.includes(toBeFound);
        if (!keyExists) {
            return true;
        }
        return false;
    };
}
exports.combineHideAndChoices = combineHideAndChoices;
//# sourceMappingURL=actions.js.map